MarkupBinder version 0.6 beta 28 October 2013\
Installation package and documentation updated 1 May 2020 including configuration and use with Notepad++.

At present there is no Windows installer for MarkupBinder. The
installation procedure outlined below involves a number of steps.

#### Step 1

Make sure Java is installed on your computer. MarkupBinder works with both 32 and 64 bits versions of Java. The author uses Oracle's Java which you can get from:\
[Java's download page](https://www.java.com/en/download/)

#### Step 2

Download the\
[MarkupBinder archive](http://www.speakon.org.uk/MarkupBinder/beta/install/MarkupBinder-Win.zip)

#### Step 3

Unzip the archive and place the 'MarkupBinder' folder under the 'C' drive
so that the path to it is:\
C:\\MarkupBinder\
While you can place this folder anywhere in your file system, the examples in this manual assume this location.

The MarkupBinder folder contains the Java 'Jar' executable file,\
A Notepad++ sub-folder containing a Notepad's NppExec plugin configuration,\
A TextPad sub-folder containing a registry configuration file for setting up MarkupBinder tools in TextPad,\
A number of batch files used by these tools,\
This documentation as well as licence information and a short read-me
file.

This folder also includes a copy of\
[Pandoc](http://johnmacfarlane.net/pandoc/)\
converter tool. MarkupBinder uses the Pandoc format converter extensively under
the hood. The copy of Pandoc included in this folder is fairly old but contains all the features required by MarkupBinder.

Under the 'src' sub-folder you will find the MarkupBinder Java source files and the MarkupBinder documentation source written in Markdown which would be useful in understanding the structure of a typical binder. 

#### Step 4

Add the MarkupBinder folder to your Windows PATH Environment Variable, in this example:\
C:\\MarkupBinder 

To do this, follow the instructions for your Windows OS and don't forget to restart Windows for your addition to the path Environment Variable to take effect.

To test your installation, open the command line console anywhere in your file system and type:\
markup-binder.bat -version\
The version of MarkupBinder should appear on the console.

If the above works, you can continue to either use MarkupBinder from the command line or for more convenient operation, use one of the text editors included in this manual. The author recommends Notepad++

 
