It is very convenient to use MarkupBinder with Notepad++. 

Notepad++ is a fully featured, general purpose text editor for Windows which enables the user, among many other things, to configure the running of external programs using its NppExec plug-in. What it means in practice is that the user loads Notepad++ with a file, edits it and performs operations on this file; in our case using MarkupBinder.

Notepad++ is mostly accessible with NVDA except for some configurations which  probably require sighted assistance. Once these configurations are done, all operations with file editing and use of MarkupBinder are fully accessible; it is the author's tool of choice for text editing in general and MarkupBinder in particular.

####  1. Installation

Download Notepad++ from:\
[Notepad++ download  page](https://notepad-plus-plus.org/downloads/)

During installation make sure that Plug-inAdmin is installed as this will allow you to install additional plug-ins.

#### 2. Install the NppExec plug-in in Notepad++

Note that this procedure is not fully accessible and sighted help is necessary.

In Notepad++ choose the Plug-in menu > Plug-inAdmin...

Search for NppExec, check the check box (not accessible at the time) and choose Install. Notepad++ will shutdown and restart.

NppExec should appear in the Plug-in menu.

#### 3. Configuring NppExec

When you press F6 a dialog of NppExec appears where you can add manually the various  MarkupBinder commands entered as command line with relevant arguments as outlined in the documentation. To save time, the NppExec configuration file 'npes_saved.txt' is found in the MarkupBinder/Notepad++ sub-folder. 

Copy the above file and place it in the folder replacing the existing file:
C:\\users\\yourusername\\AppData\\Roaming\\Notepad++\\plugins\\config

Restart Notepad++, NppExec plug-in installation is complete.
 
#### 4. Configure console shortcut
 
 The MarkupBinder program writes to the NppExec console and will tell you if all is well or there are errors.
 
 You can show the console by checking the 'Show Console' menu item in the NppExec menu item under the Plug-in menu. 
 
It is useful to toggle the console On and Off and there is a shortcut key by default which the author found not working.

To set your alternative shortcut key do the following:\
Note that this operation is not accessible; the author used sighted assistance.

In Notepad++ navigate to Menu:\
Settings > Shortcuts Mapper

In the Shortcuts Mapper dialog, locate the 'Toggle Console' command and enter the shortcut key you want; the Author uses [Shift + F6]

The operation of MarkupBinder with Notepad++ is explained in the 'MarkupBinder' section  in this manual.

#### 5. Optionally install a spell checker plug-in
 
 The author finds the DSpell spell checker very useful. You can install it using the same procedure outlined above for installing the NppExec plug-in. Note again that you will probably need sighted help to do this. The operation of DSpell is very simple using the context menu with the word in focus; suggested spelling appears as part of the context menu.

